# To-Do list

## Figure out how to auto-initialize fish/tide configuration
Could probably read through the tide variable set to figure this out, just haven't done it yet. For now this command should initialize things correctly:

```tide configure --auto --style=Rainbow --prompt_colors='True color' --show_time='24-hour format' --rainbow_prompt_separators=Vertical --powerline_prompt_heads=Round --powerline_prompt_tails=Flat --powerline_prompt_style='Two lines, character' --prompt_connection=Disconnected --powerline_right_prompt_frame=No --prompt_spacing=Compact --icons='Many icons' --transient=No```

## tailscale setup
Need to connect new devices to the coordinator in order to access the tailscale network.

```sudo tailscale up --login-server=https://headscale.hive.smrsh.net```

## Refactor machine defaults
Could probably merge some of the default locale settings and stuff, maybe even make the x11 config more generic

## Dotfiles management and configuration installation
At this point to use this repo you need to grab the configuration.nix, the machine local configs,
and the programs and throw them into /etc/nixos, then you need to grab the dotfiles and put them 
in .config... this is all done by hand. There should be a way using either `nix`, or `stow`, or `chezmoi`,
or some other already extant tool to do this in a slightly more automated fashion. The point of
this is to be easy for me to use and keep up with after all.
